<?php

namespace WSCOMUN\WSBDC;

class WSBDC_WtdDomicilioC
{

    /**
     * @var float $claveDomicilio
     * @access public
     */
    public $claveDomicilio = null;

    /**
     * @var string $tipoDomicilio
     * @access public
     */
    public $tipoDomicilio = null;

    /**
     * @var string $estadoDomicilio
     * @access public
     */
    public $estadoDomicilio = null;

    /**
     * @var string $telefono
     * @access public
     */
    public $telefono = null;

    /**
     * @var string $movil
     * @access public
     */
    public $movil = null;

    /**
     * @var string $fax
     * @access public
     */
    public $fax = null;

    /**
     * @var string $codigoVia
     * @access public
     */
    public $codigoVia = null;

    /**
     * @var string $codviaIne
     * @access public
     */
    public $codviaIne = null;

    /**
     * @var string $nombreVia
     * @access public
     */
    public $nombreVia = null;

    /**
     * @var float $numero
     * @access public
     */
    public $numero = null;

    /**
     * @var string $tiponumVia
     * @access public
     */
    public $tiponumVia = null;

    /**
     * @var string $califnumVia
     * @access public
     */
    public $califnumVia = null;

    /**
     * @var string $bloque
     * @access public
     */
    public $bloque = null;

    /**
     * @var string $portal
     * @access public
     */
    public $portal = null;

    /**
     * @var string $escalera
     * @access public
     */
    public $escalera = null;

    /**
     * @var string $piso
     * @access public
     */
    public $piso = null;

    /**
     * @var string $puerta
     * @access public
     */
    public $puerta = null;

    /**
     * @var string $complemento
     * @access public
     */
    public $complemento = null;

    /**
     * @var string $codigoNucleo
     * @access public
     */
    public $codigoNucleo = null;

    /**
     * @var string $descmuni
     * @access public
     */
    public $descmuni = null;

    /**
     * @var string $poblacion
     * @access public
     */
    public $poblacion = null;

    /**
     * @var string $codprov
     * @access public
     */
    public $codprov = null;

    /**
     * @var string $descprov
     * @access public
     */
    public $descprov = null;

    /**
     * @var string $codPais
     * @access public
     */
    public $codPais = null;

    /**
     * @var string $descpais
     * @access public
     */
    public $descpais = null;

    /**
     * @var string $codpos
     * @access public
     */
    public $codpos = null;

    /**
     * @var string $codmuniaeat
     * @access public
     */
    public $codmuniaeat = null;

    /**
     * @var string $domter
     * @access public
     */
    public $domter = null;

    /**
     * @var string $domter2
     * @access public
     */
    public $domter2 = null;

    /**
     * @var string $pobter
     * @access public
     */
    public $pobter = null;

    /**
     * @var string $provinciaext
     * @access public
     */
    public $provinciaext = null;

    /**
     * @var string $calidad
     * @access public
     */
    public $calidad = null;

    /**
     * @var string $origenInformacion
     * @access public
     */
    public $origenInformacion = null;

    /**
     * @var string $fechaUltimaAct
     * @access public
     */
    public $fechaUltimaAct = null;

    /**
     * @param float $claveDomicilio
     * @param string $tipoDomicilio
     * @param string $estadoDomicilio
     * @param string $telefono
     * @param string $movil
     * @param string $fax
     * @param string $codigoVia
     * @param string $codviaIne
     * @param string $nombreVia
     * @param float $numero
     * @param string $tiponumVia
     * @param string $califnumVia
     * @param string $bloque
     * @param string $portal
     * @param string $escalera
     * @param string $piso
     * @param string $puerta
     * @param string $complemento
     * @param string $codigoNucleo
     * @param string $descmuni
     * @param string $poblacion
     * @param string $codprov
     * @param string $descprov
     * @param string $codPais
     * @param string $descpais
     * @param string $codpos
     * @param string $codmuniaeat
     * @param string $domter
     * @param string $domter2
     * @param string $pobter
     * @param string $provinciaext
     * @param string $calidad
     * @param string $origenInformacion
     * @param string $fechaUltimaAct
     * @access public
     */
    public function __construct($claveDomicilio, $tipoDomicilio, $estadoDomicilio, $telefono, $movil, $fax, $codigoVia, $codviaIne, $nombreVia, $numero, $tiponumVia, $califnumVia, $bloque, $portal, $escalera, $piso, $puerta, $complemento, $codigoNucleo, $descmuni, $poblacion, $codprov, $descprov, $codPais, $descpais, $codpos, $codmuniaeat, $domter, $domter2, $pobter, $provinciaext, $calidad, $origenInformacion, $fechaUltimaAct)
    {
      $this->claveDomicilio = $claveDomicilio;
      $this->tipoDomicilio = $tipoDomicilio;
      $this->estadoDomicilio = $estadoDomicilio;
      $this->telefono = $telefono;
      $this->movil = $movil;
      $this->fax = $fax;
      $this->codigoVia = $codigoVia;
      $this->codviaIne = $codviaIne;
      $this->nombreVia = $nombreVia;
      $this->numero = $numero;
      $this->tiponumVia = $tiponumVia;
      $this->califnumVia = $califnumVia;
      $this->bloque = $bloque;
      $this->portal = $portal;
      $this->escalera = $escalera;
      $this->piso = $piso;
      $this->puerta = $puerta;
      $this->complemento = $complemento;
      $this->codigoNucleo = $codigoNucleo;
      $this->descmuni = $descmuni;
      $this->poblacion = $poblacion;
      $this->codprov = $codprov;
      $this->descprov = $descprov;
      $this->codPais = $codPais;
      $this->descpais = $descpais;
      $this->codpos = $codpos;
      $this->codmuniaeat = $codmuniaeat;
      $this->domter = $domter;
      $this->domter2 = $domter2;
      $this->pobter = $pobter;
      $this->provinciaext = $provinciaext;
      $this->calidad = $calidad;
      $this->origenInformacion = $origenInformacion;
      $this->fechaUltimaAct = $fechaUltimaAct;
    }

}
