<?php

namespace WSCOMUN\WSBDC;

class WSBDC_WtipoProvincia
{

    /**
     * @var string $codprov
     * @access public
     */
    public $codprov = null;

    /**
     * @var string $denominacion
     * @access public
     */
    public $denominacion = null;

    /**
     * @var string $codcaut
     * @access public
     */
    public $codcaut = null;

    /**
     * @var string $denocaut
     * @access public
     */
    public $denocaut = null;

    /**
     * @var string $enlace
     * @access public
     */
    public $enlace = null;

    /**
     * @var string $codcapi
     * @access public
     */
    public $codcapi = null;

    /**
     * @var string $dirpostal
     * @access public
     */
    public $dirpostal = null;

    /**
     * @var string $codpostal
     * @access public
     */
    public $codpostal = null;

    /**
     * @var string $telefono
     * @access public
     */
    public $telefono = null;

    /**
     * @var string $fax
     * @access public
     */
    public $fax = null;

    /**
     * @var string $web
     * @access public
     */
    public $web = null;

    /**
     * @var string $email
     * @access public
     */
    public $email = null;

    /**
     * @var float $poblacion
     * @access public
     */
    public $poblacion = null;

    /**
     * @var float $superficie
     * @access public
     */
    public $superficie = null;

    /**
     * @var float $presuppts
     * @access public
     */
    public $presuppts = null;

    /**
     * @var float $presupeuro
     * @access public
     */
    public $presupeuro = null;

    /**
     * @var string $regimen
     * @access public
     */
    public $regimen = null;

    /**
     * @var string $presidente
     * @access public
     */
    public $presidente = null;

    /**
     * @var string $partido
     * @access public
     */
    public $partido = null;

    /**
     * @param string $codprov
     * @param string $denominacion
     * @param string $codcaut
     * @param string $denocaut
     * @param string $enlace
     * @param string $codcapi
     * @param string $dirpostal
     * @param string $codpostal
     * @param string $telefono
     * @param string $fax
     * @param string $web
     * @param string $email
     * @param float $poblacion
     * @param float $superficie
     * @param float $presuppts
     * @param float $presupeuro
     * @param string $regimen
     * @param string $presidente
     * @param string $partido
     * @access public
     */
    public function __construct($codprov, $denominacion, $codcaut, $denocaut, $enlace, $codcapi, $dirpostal, $codpostal, $telefono, $fax, $web, $email, $poblacion, $superficie, $presuppts, $presupeuro, $regimen, $presidente, $partido)
    {
      $this->codprov = $codprov;
      $this->denominacion = $denominacion;
      $this->codcaut = $codcaut;
      $this->denocaut = $denocaut;
      $this->enlace = $enlace;
      $this->codcapi = $codcapi;
      $this->dirpostal = $dirpostal;
      $this->codpostal = $codpostal;
      $this->telefono = $telefono;
      $this->fax = $fax;
      $this->web = $web;
      $this->email = $email;
      $this->poblacion = $poblacion;
      $this->superficie = $superficie;
      $this->presuppts = $presuppts;
      $this->presupeuro = $presupeuro;
      $this->regimen = $regimen;
      $this->presidente = $presidente;
      $this->partido = $partido;
    }

}
